Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MBeanUtil

    java.lang.Object
      org.hyperic.hq.product.jmx.MBeanUtil

    public class MBeanUtil

extends Object

Nested Class Summary
`static interface` | `MBeanUtil.Converter`
`static interface` | `MBeanUtil.ListConverter`
`static class` | `MBeanUtil.OperationParams`

Field Summary
`static String` | `DYNAMIC_SERVICE_DOMAIN`

Constructor Summary
`MBeanUtil()`

Method Summary
`static void` | `addConverter(Class type, MBeanUtil.Converter converter)`
`static void` | `addConverter(Class type, MBeanUtil.ListConverter converter)`
`static String` | `anyToString(Object obj)`
`static MBeanUtil.OperationParams` | `getAttributeParams(MBeanInfo info, String method, Object[] args)`
`static MBeanUtil.OperationParams` | `getOperationParams(MBeanInfo info, String method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DYNAMIC_SERVICE_DOMAIN

    public static final String DYNAMIC_SERVICE_DOMAIN

See Also:
  Constant Field Values

Constructor Detail

### MBeanUtil

    public MBeanUtil()

Method Detail

### addConverter

    public static void addConverter(Class type,
                                    MBeanUtil.Converter converter)

### addConverter

    public static void addConverter(Class type,
                                    MBeanUtil.ListConverter converter)

### getAttributeParams

    public static MBeanUtil.OperationParams getAttributeParams(MBeanInfo info,
                                                               String method,
                                                               Object[] args)
                                                        throws PluginException

  Throws:
    `PluginException`

### getOperationParams

    public static MBeanUtil.OperationParams getOperationParams(MBeanInfo info,
                                                               String method,
                                                               Object[] args)
                                                        throws PluginException

  Throws:
    `PluginException`

### anyToString

    public static String anyToString(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.